import { jsx } from "react/jsx-runtime";
import { TokenRPG as TokenRPG$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRPG = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "RPG", "data-name": "TokenRPG", ...props, children: /* @__PURE__ */ jsx(TokenRPG$1, { variant }) });
  }
);
TokenRPG.displayName = "TokenRPG";
Object.assign(TokenRPG, { isGdsIcon: true });
export {
  TokenRPG
};
